Package org.apache.maven.shared.artifact.filter.collection

## Class ArtifactFilterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.shared.artifact.filter.collection.ArtifactFilterException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ArtifactFilterException
    extends java.lang.Exception

Author:
  Brian Fox
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ArtifactFilterException()` Create an instance.
`ArtifactFilterException​(java.lang.String theMessage)`
`ArtifactFilterException​(java.lang.String theMessage, java.lang.Throwable theCause)`
`ArtifactFilterException​(java.lang.Throwable theCause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArtifactFilterException

    public ArtifactFilterException()

Create an instance.

#### ArtifactFilterException

    public ArtifactFilterException​(java.lang.String theMessage,
                                   java.lang.Throwable theCause)

Parameters:
  `theMessage` - The message which describes what happends.
  `theCause` - The cause.

#### ArtifactFilterException

    public ArtifactFilterException​(java.lang.String theMessage)

Parameters:
  `theMessage` - The message which describes what happends.

#### ArtifactFilterException

    public ArtifactFilterException​(java.lang.Throwable theCause)

Parameters:
  `theCause` - `Throwable` cause of the problem.